-- $Header:   //ARCHIVE/Archive_NLS/DB/sql/DEFECT_79807.sqv   1.0   Aug 22 2001 11:07:50   Xiaoyan  $
--
-- DEFECT_79807.sql
--
-- Module Description
--   Clean up for DEFECT 79807

USE Object
GO


---------------------------------------------------------------------------------------------------
-- DEFECT 79807
-- Clean up multiple aggregation created before for CICS regions
CREATE TABLE #CLEANUP(dst_id ObjID, ncount INT) 
INSERT #CLEANUP SELECT DISTINCT dst_id, COUNT(*) from CICF_CICS_MAGC
GROUP BY dst_id
HAVING COUNT(*) > 1


DELETE cicf_cics FROM CICF_CICS_MAGC AS cicf_cics
JOIN CICSFolder_V AS v ON cicf_cics.src_id = v.id AND v.name = 'Unknown Regions'
JOIN #CLEANUP AS t ON t.dst_id = cicf_cics.dst_id
