-- $Header:   //ARCHIVE/PVCSROOT/Archive_NLS/DB/sql/ProcessedIMSDiscovery_Index.sqv   1.0   Aug 23 2001 08:30:28   Forthman  $
--
-- ProcessedIMSDiscovery_Index.sql
--
-- Module description
--   Creates Index on ProcessedIMSDiscovery
--

Use Object
GO

-----------------------------------------------
-- ProcessedIMSDiscovery_b_c_n_i

PRINT 'create index ProcessedIMSDiscovery_b_c_n_i'
GO
/*
  SELECT @obj_cid = obj_cid, @obj_id = obj_id, @obj_name = obj_name
  FROM ProcessedIMSDiscovery
  WHERE batchid = @batchid AND obj_cid = @OBJ_TYPE_ID_DISCOVERED AND obj_name = @obj_name
*/

IF NOT EXISTS ( SELECT * FROM sysindexes WHERE name LIKE 'ProcessedIMSDiscovery_b_c_n_i' )
  CREATE INDEX ProcessedIMSDiscovery_b_c_n_i ON ProcessedIMSDiscovery ( batchid, obj_cid, obj_name, obj_id)
GO

