-- $Header:   //ARCHIVE/Archive_NLS/DB/SQL/SubJob_20010810.sqv   1.0   Aug 10 2001 14:59:24   BRENT  $
--
-- SubJob_20010810.sql
--
-- Module Description
--   Changes to the subjob message handling:
--   1. SJMessageMap entry for DFAC2236 message now allows any characters for transaction abend code
--   2. StagedEventProc entry for asisp_processStagedSJMs now has maxrows=200


USE Object
GO

UPDATE SJMessageMap SET 
  SearchExpression = 'TRANSACTION  *\([^ ][^ ]*\) ABEND  *\(.*\) * IN PROGRAM  *\([^ ][^ ]*\)  *TERM  *\([^ ][^ ]*\)'
WHERE
  MsgID = 'DFHAC2236'
  AND SearchExpression <> 'TRANSACTION  *\([^ ][^ ]*\) ABEND  *\(.*\) * IN PROGRAM  *\([^ ][^ ]*\)  *TERM  *\([^ ][^ ]*\)'
GO

UPDATE StagedEventProc SET maxrows = 200 WHERE proc_name = 'asisp_processStagedSJMs' AND maxrows <> 200
GO
