-- $Header:   //ARCHIVE/Archive_NLS/db/sql/_ProcessControlID.sqv   1.2   Aug 15 2001 14:41:16   Marc  $

USE Object
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = '_ProcessControlID' AND type = 'P')
  DROP PROCEDURE _ProcessControlID
GO

PRINT 'Creating procedure _ProcessControlID...'
GO

-- $Archive:   //ARCHIVE/Archive_NLS/db/sql/_ProcessControlID.sqv  $
-- $Revision:   1.2  $
-- $Date:   Aug 15 2001 14:41:16  $
-- $Author:   Marc  $
CREATE PROCEDURE _ProcessControlID
  @cid       ClassID,
  @id        ObjID,
  @ControlID NVARCHAR(612) OUTPUT
AS

  DECLARE @tcount INT
  SET @tcount = @@TRANCOUNT
  IF @tcount = 0
    BEGIN TRAN _ProcessControlID
  ELSE
    SAVE TRAN _ProcessControlID

  -- if the control id has a this.method syntax, then it should get processed
  IF @ControlID IS NOT NULL AND @ControlID LIKE '%[%]this.%[%]%'
    EXEC asisp_processcontrolid @cid, @id, @control_id=@ControlID OUTPUT

  IF @tcount = 0
    COMMIT TRAN _ProcessControlID

  SELECT '_ProcessControlID: DUMMY RESULT SET SO RETURN VALUES AND OUTPUT PARAM(S) CAN BE SEEN BY ADO'

GO

PRINT 'Done.'