-- $Header:   //ARCHIVE/PVCSROOT/Archive_NLS/DB/sql/Process_DB2_SUBSYS_LIST_Event.sqv   1.1   Aug 23 2001 08:14:08   Forthman  $
--
-- Process_DB2_SUBSYS_LIST_Event.sql
--
-- Module Description
--   Creates procedure Process_DB2_SUBSYS_LIST_Event
--

Use Object
GO

-------------------------------------------------------------
PRINT 'Create procedure Process_DB2_SUBSYS_LIST_Event'
GO

IF EXISTS ( SELECT * FROM sysobjects WHERE name = 'Process_DB2_SUBSYS_LIST_Event' AND type = 'P' )
  DROP PROCEDURE Process_DB2_SUBSYS_LIST_Event
GO

-- Process DB2 Subsystem Refresh Commencing events ON a resource managed by DB2.
--
-- $Archive:   //ARCHIVE/PVCSROOT/Archive_NLS/DB/sql/Process_DB2_SUBSYS_LIST_Event.sqv  $
-- $Revision:   1.1  $
-- $Date:   Aug 23 2001 08:14:08  $
-- $Author:   Forthman  $
CREATE PROCEDURE Process_DB2_SUBSYS_LIST_Event
  @SourceCID                        ClassID,
  @SourceID                         ObjID,
  @FormatType                       SMALLINT,
  @ActionType                       SMALLINT,
  @DATE_TIME                        NVARCHAR(30),
  @SEQ_NO                           NVARCHAR(50),
  @OBJ_TYPE_ID                      ClassID,
  @EventSource                      NVARCHAR(50)=NULL,
  @SystemId                         NVARCHAR(50),
  @NUM_SUBSYS                       INT,
  @SUBSYSTEM100                     NVARCHAR(50)=NULL,
  @SUBSYSTEM101                     NVARCHAR(50)=NULL,
  @SUBSYSTEM102                     NVARCHAR(50)=NULL,
  @SUBSYSTEM103                     NVARCHAR(50)=NULL,
  @SUBSYSTEM104                     NVARCHAR(50)=NULL,
  @SUBSYSTEM105                     NVARCHAR(50)=NULL,
  @SUBSYSTEM106                     NVARCHAR(50)=NULL,
  @SUBSYSTEM107                     NVARCHAR(50)=NULL,
  @SUBSYSTEM108                     NVARCHAR(50)=NULL,
  @SUBSYSTEM109                     NVARCHAR(50)=NULL,
  @SUBSYSTEM110                     NVARCHAR(50)=NULL,
  @SUBSYSTEM111                     NVARCHAR(50)=NULL,
  @SUBSYSTEM112                     NVARCHAR(50)=NULL,
  @SUBSYSTEM113                     NVARCHAR(50)=NULL,
  @SUBSYSTEM114                     NVARCHAR(50)=NULL,
  @SUBSYSTEM115                     NVARCHAR(50)=NULL,
  @SUBSYSTEM116                     NVARCHAR(50)=NULL,
  @SUBSYSTEM117                     NVARCHAR(50)=NULL,
  @SUBSYSTEM118                     NVARCHAR(50)=NULL,
  @SUBSYSTEM119                     NVARCHAR(50)=NULL,
  @SUBSYSTEM120                     NVARCHAR(50)=NULL,
  @SUBSYSTEM121                     NVARCHAR(50)=NULL,
  @SUBSYSTEM122                     NVARCHAR(50)=NULL,
  @SUBSYSTEM123                     NVARCHAR(50)=NULL,
  @SUBSYSTEM124                     NVARCHAR(50)=NULL,
  @SUBSYSTEM125                     NVARCHAR(50)=NULL,
  @SUBSYSTEM126                     NVARCHAR(50)=NULL,
  @SUBSYSTEM127                     NVARCHAR(50)=NULL,
  @SUBSYSTEM128                     NVARCHAR(50)=NULL,
  @SUBSYSTEM129                     NVARCHAR(50)=NULL,
  @SUBSYSTEM130                     NVARCHAR(50)=NULL,
  @SUBSYSTEM131                     NVARCHAR(50)=NULL,
  @SUBSYSTEM132                     NVARCHAR(50)=NULL,
  @SUBSYSTEM133                     NVARCHAR(50)=NULL,
  @SUBSYSTEM134                     NVARCHAR(50)=NULL,
  @SUBSYSTEM135                     NVARCHAR(50)=NULL,
  @SUBSYSTEM136                     NVARCHAR(50)=NULL,
  @SUBSYSTEM137                     NVARCHAR(50)=NULL,
  @SUBSYSTEM138                     NVARCHAR(50)=NULL,
  @SUBSYSTEM139                     NVARCHAR(50)=NULL,
  @SUBSYSTEM140                     NVARCHAR(50)=NULL,
  @SUBSYSTEM141                     NVARCHAR(50)=NULL,
  @SUBSYSTEM142                     NVARCHAR(50)=NULL,
  @SUBSYSTEM143                     NVARCHAR(50)=NULL,
  @SUBSYSTEM144                     NVARCHAR(50)=NULL,
  @SUBSYSTEM145                     NVARCHAR(50)=NULL,
  @SUBSYSTEM146                     NVARCHAR(50)=NULL,
  @SUBSYSTEM147                     NVARCHAR(50)=NULL,
  @SUBSYSTEM148                     NVARCHAR(50)=NULL,
  @SUBSYSTEM149                     NVARCHAR(50)=NULL,
  @SUBSYSTEM150                     NVARCHAR(50)=NULL,
  @SUBSYSTEM151                     NVARCHAR(50)=NULL,
  @SUBSYSTEM152                     NVARCHAR(50)=NULL,
  @SUBSYSTEM153                     NVARCHAR(50)=NULL,
  @SUBSYSTEM154                     NVARCHAR(50)=NULL,
  @SUBSYSTEM155                     NVARCHAR(50)=NULL,
  @SUBSYSTEM156                     NVARCHAR(50)=NULL,
  @SUBSYSTEM157                     NVARCHAR(50)=NULL,
  @SUBSYSTEM158                     NVARCHAR(50)=NULL,
  @SUBSYSTEM159                     NVARCHAR(50)=NULL,
  @SUBSYSTEM160                     NVARCHAR(50)=NULL,
  @SUBSYSTEM161                     NVARCHAR(50)=NULL,
  @SUBSYSTEM162                     NVARCHAR(50)=NULL,
  @SUBSYSTEM163                     NVARCHAR(50)=NULL,
  @SUBSYSTEM164                     NVARCHAR(50)=NULL,
  @SUBSYSTEM165                     NVARCHAR(50)=NULL,
  @SUBSYSTEM166                     NVARCHAR(50)=NULL,
  @SUBSYSTEM167                     NVARCHAR(50)=NULL,
  @SUBSYSTEM168                     NVARCHAR(50)=NULL,
  @SUBSYSTEM169                     NVARCHAR(50)=NULL,
  @SUBSYSTEM170                     NVARCHAR(50)=NULL,
  @SUBSYSTEM171                     NVARCHAR(50)=NULL,
  @SUBSYSTEM172                     NVARCHAR(50)=NULL,
  @SUBSYSTEM173                     NVARCHAR(50)=NULL,
  @SUBSYSTEM174                     NVARCHAR(50)=NULL,
  @SUBSYSTEM175                     NVARCHAR(50)=NULL,
  @SUBSYSTEM176                     NVARCHAR(50)=NULL,
  @SUBSYSTEM177                     NVARCHAR(50)=NULL,
  @SUBSYSTEM178                     NVARCHAR(50)=NULL,
  @SUBSYSTEM179                     NVARCHAR(50)=NULL,
  @SUBSYSTEM180                     NVARCHAR(50)=NULL,
  @SUBSYSTEM181                     NVARCHAR(50)=NULL,
  @SUBSYSTEM182                     NVARCHAR(50)=NULL,
  @SUBSYSTEM183                     NVARCHAR(50)=NULL,
  @SUBSYSTEM184                     NVARCHAR(50)=NULL,
  @SUBSYSTEM185                     NVARCHAR(50)=NULL,
  @SUBSYSTEM186                     NVARCHAR(50)=NULL,
  @SUBSYSTEM187                     NVARCHAR(50)=NULL,
  @SUBSYSTEM188                     NVARCHAR(50)=NULL,
  @SUBSYSTEM189                     NVARCHAR(50)=NULL,
  @SUBSYSTEM190                     NVARCHAR(50)=NULL,
  @SUBSYSTEM191                     NVARCHAR(50)=NULL,
  @SUBSYSTEM192                     NVARCHAR(50)=NULL,
  @SUBSYSTEM193                     NVARCHAR(50)=NULL,
  @SUBSYSTEM194                     NVARCHAR(50)=NULL,
  @SUBSYSTEM195                     NVARCHAR(50)=NULL,
  @SUBSYSTEM196                     NVARCHAR(50)=NULL,
  @SUBSYSTEM197                     NVARCHAR(50)=NULL,
  @SUBSYSTEM198                     NVARCHAR(50)=NULL,
  @SUBSYSTEM199                     NVARCHAR(50)=NULL
AS
  RAISERROR('Process_DB2_SUBSYS_LIST_Event: @SourceCID=%s, @SourceID=%d, @FormatType=%d, @ActionType=%d, @DATE_TIME=%s, @SEQ_NO=%s, @OBJ_TYPE_ID=%s, @SystemId=%s, @NUM_SUBSYS=%d', 0, 1, @SourceCID, @SourceID, @FormatType, @ActionType, @DATE_TIME, @SEQ_NO
, @OBJ_TYPE_ID, @SystemId, @NUM_SUBSYS)

  -- Standard TRANSACTION logic
  DECLARE @tcount INT
  SELECT @tcount = @@TRANCOUNT
  IF @tcount = 0
    BEGIN TRAN Process_DB2_SUBSYS_LIST_Event
  ELSE
    SAVE TRAN Process_DB2_SUBSYS_LIST_Event

  DECLARE @datetime DATETIME
  EXEC asisp_convertMVSDateTime @DATE_TIME, @datetime OUTPUT


  -- No need to check IF a batch IS IN progress, this event IS processed immediately

  -- INSERT INTO staging TABLE, initialization
  RAISERROR('Process_DB2_SUBSYS_LIST_Event: inserting event INTO StagedDB2_SUBSYS_LIST', 0, 1)

  DECLARE @ctime DATETIME
  SELECT  @ctime = GETDATE()

  CREATE TABLE #object
  (
    name ObjName
  )

  -- Populate #object TABLE FOR USE IN the INSERT to StagedDB2_SUBSYS_LIST

  SET NOCOUNT ON

  INSERT #object ( name ) SELECT @SUBSYSTEM100 WHERE @SUBSYSTEM100 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM100 )
  INSERT #object ( name ) SELECT @SUBSYSTEM101 WHERE @SUBSYSTEM101 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM101 )
  INSERT #object ( name ) SELECT @SUBSYSTEM102 WHERE @SUBSYSTEM102 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM102 )
  INSERT #object ( name ) SELECT @SUBSYSTEM103 WHERE @SUBSYSTEM103 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM103 )
  INSERT #object ( name ) SELECT @SUBSYSTEM104 WHERE @SUBSYSTEM104 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM104 )
  INSERT #object ( name ) SELECT @SUBSYSTEM105 WHERE @SUBSYSTEM105 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM105 )
  INSERT #object ( name ) SELECT @SUBSYSTEM106 WHERE @SUBSYSTEM106 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM106 )
  INSERT #object ( name ) SELECT @SUBSYSTEM107 WHERE @SUBSYSTEM107 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM107 )
  INSERT #object ( name ) SELECT @SUBSYSTEM108 WHERE @SUBSYSTEM108 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM108 )
  INSERT #object ( name ) SELECT @SUBSYSTEM109 WHERE @SUBSYSTEM109 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM109 )
  INSERT #object ( name ) SELECT @SUBSYSTEM110 WHERE @SUBSYSTEM110 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM110 )
  INSERT #object ( name ) SELECT @SUBSYSTEM111 WHERE @SUBSYSTEM111 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM111 )
  INSERT #object ( name ) SELECT @SUBSYSTEM112 WHERE @SUBSYSTEM112 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM112 )
  INSERT #object ( name ) SELECT @SUBSYSTEM113 WHERE @SUBSYSTEM113 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM113 )
  INSERT #object ( name ) SELECT @SUBSYSTEM114 WHERE @SUBSYSTEM114 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM114 )
  INSERT #object ( name ) SELECT @SUBSYSTEM115 WHERE @SUBSYSTEM115 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM115 )
  INSERT #object ( name ) SELECT @SUBSYSTEM116 WHERE @SUBSYSTEM116 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM116 )
  INSERT #object ( name ) SELECT @SUBSYSTEM117 WHERE @SUBSYSTEM117 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM117 )
  INSERT #object ( name ) SELECT @SUBSYSTEM118 WHERE @SUBSYSTEM118 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM118 )
  INSERT #object ( name ) SELECT @SUBSYSTEM119 WHERE @SUBSYSTEM119 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM119 )
  INSERT #object ( name ) SELECT @SUBSYSTEM120 WHERE @SUBSYSTEM120 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM120 )
  INSERT #object ( name ) SELECT @SUBSYSTEM121 WHERE @SUBSYSTEM121 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM121 )
  INSERT #object ( name ) SELECT @SUBSYSTEM122 WHERE @SUBSYSTEM122 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM122 )
  INSERT #object ( name ) SELECT @SUBSYSTEM123 WHERE @SUBSYSTEM123 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM123 )
  INSERT #object ( name ) SELECT @SUBSYSTEM124 WHERE @SUBSYSTEM124 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM124 )
  INSERT #object ( name ) SELECT @SUBSYSTEM125 WHERE @SUBSYSTEM125 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM125 )
  INSERT #object ( name ) SELECT @SUBSYSTEM126 WHERE @SUBSYSTEM126 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM126 )
  INSERT #object ( name ) SELECT @SUBSYSTEM127 WHERE @SUBSYSTEM127 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM127 )
  INSERT #object ( name ) SELECT @SUBSYSTEM128 WHERE @SUBSYSTEM128 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM128 )
  INSERT #object ( name ) SELECT @SUBSYSTEM129 WHERE @SUBSYSTEM129 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM129 )
  INSERT #object ( name ) SELECT @SUBSYSTEM130 WHERE @SUBSYSTEM130 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM130 )
  INSERT #object ( name ) SELECT @SUBSYSTEM131 WHERE @SUBSYSTEM131 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM131 )
  INSERT #object ( name ) SELECT @SUBSYSTEM132 WHERE @SUBSYSTEM132 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM132 )
  INSERT #object ( name ) SELECT @SUBSYSTEM133 WHERE @SUBSYSTEM133 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM133 )
  INSERT #object ( name ) SELECT @SUBSYSTEM134 WHERE @SUBSYSTEM134 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM134 )
  INSERT #object ( name ) SELECT @SUBSYSTEM135 WHERE @SUBSYSTEM135 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM135 )
  INSERT #object ( name ) SELECT @SUBSYSTEM136 WHERE @SUBSYSTEM136 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM136 )
  INSERT #object ( name ) SELECT @SUBSYSTEM137 WHERE @SUBSYSTEM137 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM137 )
  INSERT #object ( name ) SELECT @SUBSYSTEM138 WHERE @SUBSYSTEM138 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM138 )
  INSERT #object ( name ) SELECT @SUBSYSTEM139 WHERE @SUBSYSTEM139 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM139 )
  INSERT #object ( name ) SELECT @SUBSYSTEM140 WHERE @SUBSYSTEM140 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM140 )
  INSERT #object ( name ) SELECT @SUBSYSTEM141 WHERE @SUBSYSTEM141 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM141 )
  INSERT #object ( name ) SELECT @SUBSYSTEM142 WHERE @SUBSYSTEM142 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM142 )
  INSERT #object ( name ) SELECT @SUBSYSTEM143 WHERE @SUBSYSTEM143 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM143 )
  INSERT #object ( name ) SELECT @SUBSYSTEM144 WHERE @SUBSYSTEM144 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM144 )
  INSERT #object ( name ) SELECT @SUBSYSTEM145 WHERE @SUBSYSTEM145 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM145 )
  INSERT #object ( name ) SELECT @SUBSYSTEM146 WHERE @SUBSYSTEM146 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM146 )
  INSERT #object ( name ) SELECT @SUBSYSTEM147 WHERE @SUBSYSTEM147 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM147 )
  INSERT #object ( name ) SELECT @SUBSYSTEM148 WHERE @SUBSYSTEM148 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM148 )
  INSERT #object ( name ) SELECT @SUBSYSTEM149 WHERE @SUBSYSTEM149 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM149 )
  INSERT #object ( name ) SELECT @SUBSYSTEM150 WHERE @SUBSYSTEM150 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM150 )
  INSERT #object ( name ) SELECT @SUBSYSTEM151 WHERE @SUBSYSTEM151 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM151 )
  INSERT #object ( name ) SELECT @SUBSYSTEM152 WHERE @SUBSYSTEM152 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM152 )
  INSERT #object ( name ) SELECT @SUBSYSTEM153 WHERE @SUBSYSTEM153 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM153 )
  INSERT #object ( name ) SELECT @SUBSYSTEM154 WHERE @SUBSYSTEM154 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM154 )
  INSERT #object ( name ) SELECT @SUBSYSTEM155 WHERE @SUBSYSTEM155 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM155 )
  INSERT #object ( name ) SELECT @SUBSYSTEM156 WHERE @SUBSYSTEM156 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM156 )
  INSERT #object ( name ) SELECT @SUBSYSTEM157 WHERE @SUBSYSTEM157 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM157 )
  INSERT #object ( name ) SELECT @SUBSYSTEM158 WHERE @SUBSYSTEM158 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM158 )
  INSERT #object ( name ) SELECT @SUBSYSTEM159 WHERE @SUBSYSTEM159 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM159 )
  INSERT #object ( name ) SELECT @SUBSYSTEM160 WHERE @SUBSYSTEM160 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM160 )
  INSERT #object ( name ) SELECT @SUBSYSTEM161 WHERE @SUBSYSTEM161 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM161 )
  INSERT #object ( name ) SELECT @SUBSYSTEM162 WHERE @SUBSYSTEM162 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM162 )
  INSERT #object ( name ) SELECT @SUBSYSTEM163 WHERE @SUBSYSTEM163 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM163 )
  INSERT #object ( name ) SELECT @SUBSYSTEM164 WHERE @SUBSYSTEM164 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM164 )
  INSERT #object ( name ) SELECT @SUBSYSTEM165 WHERE @SUBSYSTEM165 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM165 )
  INSERT #object ( name ) SELECT @SUBSYSTEM166 WHERE @SUBSYSTEM166 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM166 )
  INSERT #object ( name ) SELECT @SUBSYSTEM167 WHERE @SUBSYSTEM167 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM167 )
  INSERT #object ( name ) SELECT @SUBSYSTEM168 WHERE @SUBSYSTEM168 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM168 )
  INSERT #object ( name ) SELECT @SUBSYSTEM169 WHERE @SUBSYSTEM169 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM169 )
  INSERT #object ( name ) SELECT @SUBSYSTEM170 WHERE @SUBSYSTEM170 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM170 )
  INSERT #object ( name ) SELECT @SUBSYSTEM171 WHERE @SUBSYSTEM171 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM171 )
  INSERT #object ( name ) SELECT @SUBSYSTEM172 WHERE @SUBSYSTEM172 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM172 )
  INSERT #object ( name ) SELECT @SUBSYSTEM173 WHERE @SUBSYSTEM173 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM173 )
  INSERT #object ( name ) SELECT @SUBSYSTEM174 WHERE @SUBSYSTEM174 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM174 )
  INSERT #object ( name ) SELECT @SUBSYSTEM175 WHERE @SUBSYSTEM175 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM175 )
  INSERT #object ( name ) SELECT @SUBSYSTEM176 WHERE @SUBSYSTEM176 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM176 )
  INSERT #object ( name ) SELECT @SUBSYSTEM177 WHERE @SUBSYSTEM177 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM177 )
  INSERT #object ( name ) SELECT @SUBSYSTEM178 WHERE @SUBSYSTEM178 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM178 )
  INSERT #object ( name ) SELECT @SUBSYSTEM179 WHERE @SUBSYSTEM179 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM179 )
  INSERT #object ( name ) SELECT @SUBSYSTEM180 WHERE @SUBSYSTEM180 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM180 )
  INSERT #object ( name ) SELECT @SUBSYSTEM181 WHERE @SUBSYSTEM181 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM181 )
  INSERT #object ( name ) SELECT @SUBSYSTEM182 WHERE @SUBSYSTEM182 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM182 )
  INSERT #object ( name ) SELECT @SUBSYSTEM183 WHERE @SUBSYSTEM183 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM183 )
  INSERT #object ( name ) SELECT @SUBSYSTEM184 WHERE @SUBSYSTEM184 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM184 )
  INSERT #object ( name ) SELECT @SUBSYSTEM185 WHERE @SUBSYSTEM185 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM185 )
  INSERT #object ( name ) SELECT @SUBSYSTEM186 WHERE @SUBSYSTEM186 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM186 )
  INSERT #object ( name ) SELECT @SUBSYSTEM187 WHERE @SUBSYSTEM187 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM187 )
  INSERT #object ( name ) SELECT @SUBSYSTEM188 WHERE @SUBSYSTEM188 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM188 )
  INSERT #object ( name ) SELECT @SUBSYSTEM189 WHERE @SUBSYSTEM189 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM189 )
  INSERT #object ( name ) SELECT @SUBSYSTEM190 WHERE @SUBSYSTEM190 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM190 )
  INSERT #object ( name ) SELECT @SUBSYSTEM191 WHERE @SUBSYSTEM191 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM191 )
  INSERT #object ( name ) SELECT @SUBSYSTEM192 WHERE @SUBSYSTEM192 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM192 )
  INSERT #object ( name ) SELECT @SUBSYSTEM193 WHERE @SUBSYSTEM193 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM193 )
  INSERT #object ( name ) SELECT @SUBSYSTEM194 WHERE @SUBSYSTEM194 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM194 )
  INSERT #object ( name ) SELECT @SUBSYSTEM195 WHERE @SUBSYSTEM195 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM195 )
  INSERT #object ( name ) SELECT @SUBSYSTEM196 WHERE @SUBSYSTEM196 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM196 )
  INSERT #object ( name ) SELECT @SUBSYSTEM197 WHERE @SUBSYSTEM197 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM197 )
  INSERT #object ( name ) SELECT @SUBSYSTEM198 WHERE @SUBSYSTEM198 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM198 )
  INSERT #object ( name ) SELECT @SUBSYSTEM199 WHERE @SUBSYSTEM199 IS NOT NULL AND NOT EXISTS ( SELECT * FROM #object WHERE name = @SUBSYSTEM199 )

  SET NOCOUNT OFF

  -- INSERT INTO staging TABLE
  INSERT StagedDB2_SUBSYS_LIST( ctime, src_cid, src_id, DATE_TIME, SEQ_NO, OBJ_TYPE_ID,
            SystemId, SUBSYSTEM)
  SELECT DISTINCT @ctime, @SourceCID, @SourceID, @datetime, @SEQ_NO, @OBJ_TYPE_ID,
            @SystemId, o.name
  FROM #object AS o
  WHERE @OBJ_TYPE_ID = 'DBSS' AND o.name IS NOT NULL


  -- Finish up TRANSACTION
  IF @tcount = 0
    COMMIT TRAN Process_DB2_SUBSYS_LIST_Event
GO